﻿using Tuitio.Domain.Entities;
using Tuitio.Domain.Models;
using System.Threading.Tasks;

namespace Tuitio.Domain.Repositories
{
    public interface IIdentityRepository
    {
        Task<AppUser> GetUser(string userName, string password);
        Task UpdateUserAfterAuthentication(AppUser user, Token token);
        Task<UserToken[]> GetActiveTokens();
    }
}
